## org.biojava.bio.gui.sequence
Class TickFeatureRenderer

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.gui.sequence.TickFeatureRenderer

All Implemented Interfaces:
  FeatureRenderer, Changeable

    public class TickFeatureRenderer

extends AbstractChangeable
implements FeatureRenderer

Author:
  Thomas Down, Matthew Pocock, David Huen

Field Summary
`static ChangeType` `DEPTH`
`static ChangeType` `FILL`
`static ChangeType` `OUTLINE`

Constructor Summary
`TickFeatureRenderer()`

Method Summary
`double` `getDepth()`
`double` `getDepth(SequenceRenderContext src)`
`java.awt.Paint` `getFill()`
`java.awt.Paint` `getOutline()`
`FeatureHolder` `processMouseEvent(FeatureHolder hits, SequenceRenderContext src, java.awt.event.MouseEvent me)`
`void` `renderFeature(java.awt.Graphics2D g, Feature f, SequenceRenderContext src)`
`void` `setDepth(double arrowSize)`
`void` `setFill(java.awt.Paint p)`
`void` `setOutline(java.awt.Paint p)`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, getChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILL

    public static final ChangeType FILL

### OUTLINE

    public static final ChangeType OUTLINE

### DEPTH

    public static final ChangeType DEPTH

Constructor Detail

### TickFeatureRenderer

    public TickFeatureRenderer()

Method Detail

### setFill

    public void setFill(java.awt.Paint p)
                 throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getFill

    public java.awt.Paint getFill()

### setOutline

    public void setOutline(java.awt.Paint p)
                    throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getOutline

    public java.awt.Paint getOutline()

### setDepth

    public void setDepth(double arrowSize)
                  throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### getDepth

    public double getDepth()

### renderFeature

    public void renderFeature(java.awt.Graphics2D g,
                              Feature f,
                              SequenceRenderContext src)

  Specified by:
    `renderFeature` in interface `FeatureRenderer`

### getDepth

    public double getDepth(SequenceRenderContext src)

  Specified by:
    `getDepth` in interface `FeatureRenderer`

### processMouseEvent

    public FeatureHolder processMouseEvent(FeatureHolder hits,
                                           SequenceRenderContext src,
                                           java.awt.event.MouseEvent me)

  Specified by:
    `processMouseEvent` in interface `FeatureRenderer`